import math

def fib2(n):
	if n == 0:
		return 0
	if n == 1:
		return 1

	(p, f) = (0, 1)

	for i in range(2, n+1):
		(p, f) = (f, f+p)

	return f


root5 = math.sqrt(5)
fi = (1+root5) /2
def fib0(n):
	return round((pow(fi, n)-pow(1-fi, n))/root5)


for n in range(100):
	r2 = fib2(n)
	r0 = fib0(n)
	if r0 == r2:
		print('OK {}'.format(n))
	else:
		print('\n\nDIFF {}: {} != {}\n\n'.format(n, r2, r0))
