from time import clock

def fib2(n):
	if n == 0:
		return 0
	if n == 1:
		return 1

	(p, f) = (0, 1)

	for i in range(2, n+1):
		(p, f) = (f, f+p)

	return f


for n in range(1000):
	start = clock()
	r = fib2(n)
	end = clock()
	print('fib2({})={}\t\tin\t\t{}sec'.format(n, r, end-start))

# per confrontare fib2 con fib3:
# - cambiare il range di riga 17 come in fib3.py
# - evitare di stampare r a riga 21 (mettere -1 al posto di r)
